コンテンツへスキップ

AnimateDiff · Video to Video

統合

モデルID fast-animatediff/video-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/fast-animatediff/video-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

1 回の実行につき最大 $4.50 実際の使用量に応じて課金され、残額は返金されます このページで実行

APIキーを取得
Open model 動画変換 高速 #animation#stylized

プロンプトに基づき、入力動画の最初の2から4秒をAnimateDiffでスタイル変換します

Open model · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

生成したい画像をできるだけ詳しく説明してください。最良の結果を得るには詳細な記述を使用します。

•必須 video_url
ファイルをドロップ、または

動画のURL。

詳細設定 negative_prompt · first_n_seconds · num_inference_steps · strength · guidance_scale · fps · seed · enable_safety_checker · motions
デフォルト (bad quality, worst q...

除外する画像の内容を指定するネガティブプロンプト。色、オブジェクト、景色、細部などを指定できます。例:口ひげ、ぼけ、低解像度。

デフォルト 3

動画の先頭からアニメーション化する長さ(秒)。

デフォルト 25

実行する推論ステップ数。

デフォルト 0.7

最終結果に対する入力動画の影響度。

デフォルト 7.5

画像選択におけるプロンプト準拠度。CFG(Classifier Free Guidance)として表します。

デフォルト 8

動画からのフレーム抽出速度(1秒あたりのフレーム数)。

Stable Diffusionで画像を再現するためのシード。モデルバージョン、プロンプト、シードを変更しなければ、毎回画像を完全に再現できます。

動画に適用するモーション。

POST /run/fast-animatediff/video-to-video?wait=20 見積もり → $4.50
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/fast-animatediff/video-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

AnimateDiff · Video to Videoについて

`prompt`に従って`video_url`を再アニメーション化し、`first_n_seconds`(2から4、デフォルト3)の部分だけを使用します。0から1の`strength`で元動画の反映量を設定します。`motions`、`negative_prompt`、`guidance_scale`、最大16の`fps`、最大50の推論ステップにも対応します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
video_url必須 video
型url · video
動画のURL。
first_n_seconds任意
型integer
デフォルト3
2 – 4
動画の先頭からアニメーション化する長さ(秒)。
prompt必須
型string
生成したい画像をできるだけ詳しく説明してください。最良の結果を得るには詳細な記述を使用します。
negative_prompt任意
型string
デフォルト(bad quality, worst quality:1.2), ugly faces, bad anime
除外する画像の内容を指定するネガティブプロンプト。色、オブジェクト、景色、細部などを指定できます。例:口ひげ、ぼけ、低解像度。
num_inference_steps任意
型integer
デフォルト25
1 – 50
実行する推論ステップ数。
strength任意
型number
デフォルト0.7
0 – 1
最終結果に対する入力動画の影響度。
guidance_scale任意
型number
デフォルト7.5
0 – 20
画像選択におけるプロンプト準拠度。CFG(Classifier Free Guidance)として表します。
seed任意
型integer | null
Stable Diffusionで画像を再現するためのシード。モデルバージョン、プロンプト、シードを変更しなければ、毎回画像を完全に再現できます。
fps任意
型integer
デフォルト8
1 – 16
動画からのフレーム抽出速度(1秒あたりのフレーム数)。
motions任意
型enum[]
動画に適用するモーション。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "fast-animatediff/video-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 4500,
    "usd": "4.50",
    "charged": 4500,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}生成された動画ファイル。
seed
integer動画生成時に使用したシード。

その他のモデル: 動画変換

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/fast-animatediff/video-to-video.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt